ModuleComponentSelector (Gradle API 4.8)
Date: 2018-06-04

org.gradle.api.artifacts.component

## Interface ModuleComponentSelector

- All Superinterfaces:
    ComponentSelector

      @Incubating
      public interface ModuleComponentSelector
      extends ComponentSelector

  Criteria for selecting a component instance that is available as a module version.
  Since:
    1.10

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttributeContainer` | `getAttributes()` The attributes of the module to select the component from.
    `String` | `getGroup()` The group of the module to select the component from.
    `String` | `getModule()` The name of the module to select the component from.
    `String` | `getVersion()` The version of the module to select the component from.
    `VersionConstraint` | `getVersionConstraint()` The version constraint of the module to select the component from.

    - ### Methods inherited from interface org.gradle.api.artifacts.component.ComponentSelector

      `getDisplayName, matchesStrictly`

- - ### Method Detail

    - #### getGroup

          String getGroup()

      The group of the module to select the component from.
      Returns:
        Module group
      Since:
        1.10

    - #### getModule

          String getModule()

      The name of the module to select the component from.
      Returns:
        Module name

    - #### getVersion

          String getVersion()

      The version of the module to select the component from.
      Returns:
        Module version

    - #### getVersionConstraint

          @Incubating
          VersionConstraint getVersionConstraint()

      The version constraint of the module to select the component from.
      Returns:
        Module version constraint
      Since:
        4.4

    - #### getAttributes

          @Incubating
          AttributeContainer getAttributes()

      The attributes of the module to select the component from. The attributes only include selector specific attributes. This means it typically doesn't include any consumer specific attribute.
      Returns:
        the attributes
      Since:
        4.8